## cbmconvert 2.1.2

=== Makefile ===
### User-configurable section begins

# Installation directory prefix for Debian GNU/Linux
DESTDIR =
# Installation directory prefix for other systems
PREFIX = $(DESTDIR)/usr
#PREFIX = $(DESTDIR)/usr/local

# Where to put binaries on 'make install'?
BINDIR = $(PREFIX)/bin
# Where to put manual pages on 'make installman'?
MANDIR = $(PREFIX)/share/man/man1

## Installation commands
RM = rm -f
INSTALLDIR = install -d
INSTALLDATA = install -m 444
INSTALLBIN = install -c

### User-configurable section ends

TARGETS = cbmconvert$(EXE) disk2zip$(EXE) zip2disk$(EXE)
MANPAGES = cbmconvert.1 disk2zip.1 zip2disk.1

SRCS = main.c util.c read.c write.c lynx.c unark.c unarc.c t64.c c2n.c \
       image.c archive.c
HDRS = util.h input.h output.h
OBJS = $(SRCS:.c=.o)

bugger:
	@echo Choose the target system, e.g.: make -f Makefile.unix
	@exit 1

real-all: $(TARGETS)

clean:
	$(RM) $(OBJS)

reallyclean: clean
	$(RM) $(TARGETS)

install: $(TARGETS)
	$(INSTALLDIR) $(BINDIR)
	$(INSTALLBIN) $(TARGETS) $(BINDIR)

installman: $(MANPAGES)
	$(INSTALLDIR) $(MANDIR)
	$(INSTALLDATA) $(MANPAGES) $(MANDIR)

depend: $(SRCS) $(HDRS)
	$(CC) -MM $(SRCS) > depend

cbmconvert$(EXE): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

disk2zip$(EXE): disk2zip.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ disk2zip.c

zip2disk$(EXE): zip2disk.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ zip2disk.c

.phony: all clean reallyclean install installman

.SUFFIXES: .o .c .1 .dvi .pdf .txt

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@
.1.dvi:
	groff -man -Tdvi $< > $@
.dvi.pdf:
	dvipdfm $<
.1.txt:
	groff -man -Tlatin1 $< | sed -e 's/.//g;' > $@

include depend

## cbmconvert 2.1.4

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.0.2)

SET (VERSION 2.1.4)
CONFIGURE_FILE (version.cmake version.h)
INCLUDE_DIRECTORIES (${CMAKE_CURRENT_BINARY_DIR})

IF(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  # Setting build type to RelWithDebInfo as none was specified.
  # Must occur before PROJECT
  SET(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
   "Choose the type of build, options are: None Debug Release RelWithDebInfo
 MinSizeRel ..."
   FORCE)
  # Set the possible values of build type for cmake-gui
  SET_PROPERTY(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
   "None" "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
ENDIF()

IF (CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
  PROJECT (cbmconvert VERSION ${VERSION}
    DESCRIPTION "Create and convert Commodore 8-bit binary file archives"
    HOMEPAGE_URL "https://github.com/dr-m/cbmconvert/")
ELSEIF (CMAKE_VERSION VERSION_GREATER_EQUAL 3.9)
  PROJECT (cbmconvert VERSION ${VERSION}
    DESCRIPTION "Create and convert Commodore 8-bit binary file archives")
ELSE()
  PROJECT (cbmconvert VERSION ${VERSION})
ENDIF()

SET (CPACK_PACKAGE_DESCRIPTION
"cbmconvert extracts files from most known archive file formats that
are used on 8-bit Commodore computer platforms and writes them to
several different formats, including some formats used by some emulators.")
SET (CPACK_PACKAGE_CONTACT "marko.makela@iki.fi")
SET (CPACK_DEBIAN_PACKAGE_SECTION "otherosfs")
SET (CPACK_DEBIAN_PACKAGE_DEPENDS "libc6")
SET (CPACK_WIX_PRODUCT_GUID "aa32b470-5a32-51e2-9bb3-f0827715bee0")
SET (CPACK_WIX_UPGRADE_GUID "8f269924-924b-51fe-bc67-c87444c15aa6")
SET (CPACK_PACKAGE_INSTALL_DIRECTORY "cbmconvert")
INCLUDE (CPack)

ADD_EXECUTABLE (cbmconvert main.c util.c read.c write.c lynx.c unark.c unarc.c
  t64.c c2n.c image.c archive.c util.h input.h output.h)
ADD_EXECUTABLE (zip2disk zip2disk.c)
ADD_EXECUTABLE (disk2zip disk2zip.c)

IF (WIN32)
  INSTALL(FILES cbmconvert.html DESTINATION ".")
ELSE()
  INSTALL(FILES cbmconvert.html DESTINATION "share/doc/cbmconvert")
  INSTALL(FILES cbmconvert.1 zip2disk.1 disk2zip.1
    DESTINATION "share/man/man1")
ENDIF()
INSTALL(TARGETS cbmconvert zip2disk disk2zip)

ENABLE_TESTING()
ADD_TEST (cbmconvert_usage ${CMAKE_BINARY_DIR}/cbmconvert)
ADD_TEST (disk2zip_usage ${CMAKE_BINARY_DIR}/disk2zip)
ADD_TEST (zip2disk_usage ${CMAKE_BINARY_DIR}/zip2disk)

SET_TESTS_PROPERTIES(cbmconvert_usage disk2zip_usage zip2disk_usage
  PROPERTIES WILL_FAIL TRUE)

ADD_TEST (NAME empty_files
  COMMAND ${CMAKE_COMMAND}
  -DCBMCONVERT=$<TARGET_FILE:cbmconvert>
  -DZIP2DISK=$<TARGET_FILE:zip2disk>
  -DDISK2ZIP=$<TARGET_FILE:disk2zip>
  -P ${CMAKE_CURRENT_SOURCE_DIR}/empty_files.cmake)

ADD_TEST (NAME small_files
  COMMAND ${CMAKE_COMMAND}
  -DCBMCONVERT=$<TARGET_FILE:cbmconvert>
  -P ${CMAKE_CURRENT_SOURCE_DIR}/small_files.cmake)

=== debian/changelog ===
cbmconvert (2.1.4-1) unstable; urgency=medium

  * Initial release (closes: #1001182).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Dec 2021 11:52:45 +0100

## cbmconvert 2.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CMAKE_MINIMUM_REQUIRED (VERSION 3.0.2)
 
-SET (VERSION 2.1.4)
+SET (VERSION 2.1.5)
 CONFIGURE_FILE (version.cmake version.h)
 INCLUDE_DIRECTORIES (${CMAKE_CURRENT_BINARY_DIR})
 
@@ -18,10 +18,12 @@
 
 IF (CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
   PROJECT (cbmconvert VERSION ${VERSION}
+    LANGUAGES C
     DESCRIPTION "Create and convert Commodore 8-bit binary file archives"
     HOMEPAGE_URL "https://github.com/dr-m/cbmconvert/")
 ELSEIF (CMAKE_VERSION VERSION_GREATER_EQUAL 3.9)
   PROJECT (cbmconvert VERSION ${VERSION}
+    LANGUAGES C
     DESCRIPTION "Create and convert Commodore 8-bit binary file archives")
 ELSE()
   PROJECT (cbmconvert VERSION ${VERSION})
@@ -47,9 +49,10 @@
 IF (WIN32)
   INSTALL(FILES cbmconvert.html DESTINATION ".")
 ELSE()
-  INSTALL(FILES cbmconvert.html DESTINATION "share/doc/cbmconvert")
+  INCLUDE(GNUInstallDirs)
+  INSTALL(FILES cbmconvert.html DESTINATION ${CMAKE_INSTALL_DOCDIR})
   INSTALL(FILES cbmconvert.1 zip2disk.1 disk2zip.1
-    DESTINATION "share/man/man1")
+    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 ENDIF()
 INSTALL(TARGETS cbmconvert zip2disk disk2zip)
 
@@ -71,4 +74,11 @@
 ADD_TEST (NAME small_files
   COMMAND ${CMAKE_COMMAND}
   -DCBMCONVERT=$<TARGET_FILE:cbmconvert>
+  -DZIP2DISK=$<TARGET_FILE:zip2disk>
+  -DDISK2ZIP=$<TARGET_FILE:disk2zip>
   -P ${CMAKE_CURRENT_SOURCE_DIR}/small_files.cmake)
+
+ADD_TEST (NAME file_names
+  COMMAND ${CMAKE_COMMAND}
+  -DCBMCONVERT=$<TARGET_FILE:cbmconvert>
+  -P ${CMAKE_CURRENT_SOURCE_DIR}/file_names.cmake)

=== debian/changelog ===
cbmconvert (2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Backport upstream fix for permission tests failure when run as super-user.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 30 May 2022 18:59:00 +0200

## cbmconvert 2.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-CMAKE_MINIMUM_REQUIRED (VERSION 3.0.2)
+CMAKE_MINIMUM_REQUIRED (VERSION 3.0.2...3.5)
 
-SET (VERSION 2.1.5)
+SET (VERSION 2.1.6)
 CONFIGURE_FILE (version.cmake version.h)
 INCLUDE_DIRECTORIES (${CMAKE_CURRENT_BINARY_DIR})
 
@@ -54,7 +54,8 @@
   INSTALL(FILES cbmconvert.1 zip2disk.1 disk2zip.1
     DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 ENDIF()
-INSTALL(TARGETS cbmconvert zip2disk disk2zip)
+INSTALL(TARGETS cbmconvert zip2disk disk2zip
+  RUNTIME DESTINATION bin)
 
 ENABLE_TESTING()
 ADD_TEST (cbmconvert_usage ${CMAKE_BINARY_DIR}/cbmconvert)

=== debian/changelog ===
cbmconvert (2.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 Aug 2024 22:12:15 +0200

=== debian/control ===
Source: cbmconvert
Section: otherosfs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/dr-m/cbmconvert/wiki
Vcs-Browser: https://github.com/dr-m/cbmconvert/
Vcs-Git: https://github.com/dr-m/cbmconvert.git

Package: cbmconvert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Create and convert Commodore 8-bit binary file archives
 cbmconvert extracts files from most known archive file formats that
 are used on 8-bit Commodore computer platforms and writes them to
 several different formats, including some formats used by some
 emulators.
